getSurvival {BuyseTest} | R Documentation

## Extract the Survival and Survival Jumps

### Description

Extract the survival and survival jumps.

### Usage

    getSurvival(object, type = NULL, endpoint = NULL, strata = NULL,
      unlist = TRUE, trace = TRUE)

    ## S4 method for signature 'BuyseRes'
    getSurvival(object, type = NULL, endpoint = NULL,
      strata = NULL, unlist = TRUE, trace = TRUE)

### Arguments

`object` | an R object of class `BuyseRes`, i.e., output of `BuyseTest`
`type` | [character vector] the type of survival to be output. See details.
`endpoint` | [integer/character vector] the endpoint for which the survival should be output.
`strata` | [integer/character vector] the strata for which the survival should be output.
`unlist` | [logical] should the structure of the output be simplified when possible.
`trace` | [logical] should a message be printed to explain what happened when the function returned `NULL`.
`...` | not used. For compatibility with the generic method.

### Details

The argument `type` can take any of the following values:

- `"survTimeC"`: survival at the event times for the observations of the control arm.

- `"survTimeT"`: survival at the event times for the observations of the treatment arm.

- `"survJumpC"`: survival at the jump times for the survival model in the control arm.

- `"survJumpT"`: survival at the time times for the survival model in the treatment arm.

- `"lastSurv"`: survival at the last event time.

[Package BuyseTest version 1.7 Index]